Bug 866964 - rhevm-upgrade and rhevm-cleanup should use backup.sh to backup DB
rhevm-upgrade and rhevm-cleanup should use backup.sh to backup DB
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Alex Lourie
David Botzer
integration
:
Depends On: 866963 913524
Blocks: 917401
  Show dependency treegraph
 
Reported: 2012-10-16 08:18 EDT by Alex Lourie
Modified: 2014-01-13 19:04 EST (History)
8 users (show)

See Also:
Fixed In Version: sf-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Lourie 2012-10-16 08:18:19 EDT
Description of problem:

Currently, installation utilities use 'pg_dump' to backup database. They should use a backup.sh script provided by backend instead.
Comment 3 Alex Lourie 2013-01-01 12:01:07 EST
The fix is uploaded for review: http://gerrit.ovirt.org/#/c/10548/
Comment 6 David Botzer 2013-03-10 07:24:15 EDT
Please advise how to test that upgrade and rhevm-cleanup uses backup.sh ?

Is it upgrade to SF9 or from SF9 ?
Comment 7 David Botzer 2013-03-24 04:42:19 EDT
Fixed, 3.2/sf9-sf10
I upgraded sf9 to sf10 - checked in ovirt-engine-upgrade_2013_03_24_10_18_32.log
and upgrade uses "backup.sh" - OK
----

2013-03-24 10:18:54::DEBUG::common_utils::435::root:: Executing command --> './backup.sh -u engine -s localhost -p 5432 -d engine -f /var/lib/ovirt-
engine/backups/ovirt-engine_db_backup_2013_03_24_10_18_33.sql' in working directory '/usr/share/ovirt-engine/dbscripts/'
2013-03-24 10:18:55::DEBUG::common_utils::473::root:: output = /usr/share/ovirt-engine/dbscripts /usr/share/ovirt-engine/dbscripts
Backup of database engine to /var/lib/ovirt-engine/backups/ovirt-engine_db_backup_2013_03_24_10_18_33.sql started...
Backup of database engine to /var/lib/ovirt-engine/backups/ovirt-engine_db_backup_2013_03_24_10_18_33.sql completed.
----

I ran rhevm-cleanup on the sf10 - checked in 
engine-cleanup_2013_03_24_10_40_19.log
and cleanup uses "backup.sh"

Cleanup finished successfully!
Cleanup log available at /var/log/ovirt-engine/engine-cleanup_2013_03_24_10_40_19.log
DB Backup available at /var/lib/ovirt-engine/backups/tmpP4Qc_3.sql
Comment 8 Itamar Heim 2013-06-11 05:36:39 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:36:54 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:51:24 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.